Subject: Re: [PATCH v2 01/11] KVM: arm64: initialize HCRX_EL2

From: Marc Zyngier <[email-masked]>
Date: Sat, 03 Jun 2023 09:39:11 +0100

On Tue, 09 May 2023 15:22:25 +0100,
Kristina Martsenko <[email-masked]> wrote:
> 
> ARMv8.7/9.2 adds a new hypervisor configuration register HCRX_EL2.
> Initialize the register to a safe value (all fields 0), to be robust
> against firmware that has not initialized it. This is also needed to
> ensure that the register is reinitialized after a kexec by a future
> kernel.
> 
> In addition, move SMPME setup over to the new flags, as it would
> otherwise get overridden. It is safe to set the bit even if SME is not
> (uniformly) supported, as it will write to a RES0 bit (having no
> effect), and SME will be disabled by the cpufeature framework.
> (Similar to how e.g. the API bit is handled in HCR_HOST_NVHE_FLAGS.)
> 
> Signed-off-by: Kristina Martsenko <[email-masked]>

Acked-by: Marc Zyngier <[email-masked]>

	M.

-- 
Without deviation from the norm, progress is not possible.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel